Index: src/misc/unicode.c
===================================================================
--- src/misc/unicode.c	(revision 17106)
+++ src/misc/unicode.c	(working copy)
@@ -56,6 +56,10 @@
 # define ASSUME_UTF8 1
 #endif
 
+#ifdef __BEOS__
+# define ASSUME_UTF8 1
+#endif
+
 #ifndef ASSUME_UTF8
 # if defined (HAVE_ICONV)
 /* libiconv is more powerful than Win32 API (it has translit) */
Index: configure.ac
===================================================================
--- configure.ac	(revision 17106)
+++ configure.ac	(working copy)
@@ -265,7 +265,8 @@
     VLC_ADD_CXXFLAGS([beos],[])
     VLC_ADD_LDFLAGS([vlc logger],[-lbe])
     VLC_ADD_LDFLAGS([beos],[-lbe -lmedia -ltranslation -ltracker -lgame])
-
+    VLC_ADD_LDFLAGS([dvdnav dvdread],[-ldl])
+    LDFLAGS_save="${LDFLAGS_save} -lintl"; LDFLAGS="${LDFLAGS_save}"
     dnl Check for BONE
     if test -f /boot/beos/system/lib/libbind.so; then
         VLC_ADD_LDFLAGS([access_file access_ftp access_mms access_output_udp telnet netsync sap ipv4 vlc growl],[-lbind -lsocket])

